#!/bin/sh

cd /tmp

wget "http://www.funet.fi/pub/msx/emulator/system_roms/openMSX/Philips/nms8250.zip"

unzip nms8250.zip

cp nms8250* /usr/share/openmsx/machines/msx2/roms/

rm -rf /usr/share/openmsx/machines/msx2/roms/nms8250.zip

rm -rf nms8250*

{ cat > /usr/share/openmsx/settings.xml << END
<!DOCTYPE settings SYSTEM 'settings.dtd'>
<settings>
  <settings>
    <setting id="save_settings_on_exit">true</setting>
    <setting id="user_directories"/>
    <setting id="machine">msx2</setting>
    <setting id="cputrace">false</setting>
    <setting id="z80_freq_locked">true</setting>
    <setting id="z80_freq">3579545</setting>
    <setting id="r800_freq_locked">true</setting>
    <setting id="r800_freq">7159090</setting>
    <setting id="inputdelay">0.03</setting>
    <setting id="speed">100</setting>
    <setting id="throttle">true</setting>
    <setting id="accuracy">pixel</setting>
    <setting id="deinterlace">true</setting>
    <setting id="maxframeskip">3</setting>
    <setting id="minframeskip">0</setting>
    <setting id="fullscreen">false</setting>
    <setting id="gamma">1.10</setting>
    <setting id="glow">0</setting>
    <setting id="blur">50</setting>
    <setting id="videosource">MSX</setting>
    <setting id="renderer">SDLHi</setting>
    <setting id="scaler">simple</setting>
    <setting id="scanline">20</setting>
    <setting id="grabinput">false</setting>
    <setting id="consolefont">skins/ConsoleFont.png</setting>
    <setting id="consolecolumns">99</setting>
    <setting id="consolerows">14</setting>
    <setting id="consoleplacement">bottom</setting>
    <setting id="consolebackground">skins/ConsoleBackground.png</setting>
    <setting id="mute">false</setting>
    <setting id="master_volume">75</setting>
    <setting id="frequency">44100</setting>
    <setting id="samples">1024</setting>
    <setting id="cassetteplayer_volume">75</setting>
    <setting id="printerlogfilename">printer.log</setting>
    <setting id="midi-out-logfilename">/dev/midi</setting>
    <setting id="rs232-inputfilename">rs232-input</setting>
    <setting id="rs232-outputfilename">rs232-output</setting>
    <setting id="audio-inputfilename">audio-input.wav</setting>
    <setting id="midi-in-readfilename">/dev/midi</setting>
    <setting id="keyclick_volume">75</setting>
    <setting id="limitsprites">true</setting>
    <setting id="cmdtiming">real</setting>
    <setting id="vdpcmdtrace">false</setting>
    <setting id="PSG_volume">75</setting>
    <setting id="rtcmode">EmuTime</setting>
  </settings>
  <bindings>
    <bind key="PRINT">screenshot</bind>
    <bind key="PAUSE">toggle pause</bind>
    <bind key="F9">toggle throttle</bind>
    <bind key="F10">toggle console</bind>
    <bind key="F11">toggle mute</bind>
    <bind key="F12">toggle fullscreen</bind>
    <bind key="RETURN+ALT">toggle fullscreen</bind>
    <bind key="F4+ALT">quit</bind>
    <bind key="PAUSE+CTRL">quit</bind>
  </bindings>
  <KeyJoystick>
    <upkey>UP</upkey>
    <rightkey>RIGHT</rightkey>
    <downkey>DOWN</downkey>
    <leftkey>LEFT</leftkey>
    <buttonakey>SPACE</buttonakey>
    <buttonbkey>M</buttonbkey>
  </KeyJoystick>
</settings>
END
}

{ cat >> /var/log/packages/openmsx-0.5.1-i486-1chr << END
usr/share/openmsx/machines/Philips_NMS_8250/roms/nms8250_basic-bios2.rom
usr/share/openmsx/machines/Philips_NMS_8250/roms/nms8250_disk.rom
usr/share/openmsx/machines/Philips_NMS_8250/roms/nms8250_msx2sub.rom
END
}
